<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: PyramidInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_pyramid_info.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">PyramidInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Store the <a class="el" href="classarm__compute_1_1_pyramid.xhtml" title="Basic implementation of the pyramid interface. ">Pyramid</a>'s metadata.  
 <a href="classarm__compute_1_1_pyramid_info.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_pyramid_info_8h_source.xhtml">PyramidInfo.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9e7e3f78b86c0a7f2cdd1ab1e836b2ed"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">PyramidInfo</a> ()</td></tr>
<tr class="memdesc:a9e7e3f78b86c0a7f2cdd1ab1e836b2ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">More...</a><br /></td></tr>
<tr class="separator:a9e7e3f78b86c0a7f2cdd1ab1e836b2ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a443529237e92a4364aaf662644dfc686"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a443529237e92a4364aaf662644dfc686">~PyramidInfo</a> ()=default</td></tr>
<tr class="memdesc:a443529237e92a4364aaf662644dfc686"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <a href="#a443529237e92a4364aaf662644dfc686">More...</a><br /></td></tr>
<tr class="separator:a443529237e92a4364aaf662644dfc686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ace7670f345dde6c78d6b3314f3d756"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a9ace7670f345dde6c78d6b3314f3d756">PyramidInfo</a> (const <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;)=default</td></tr>
<tr class="memdesc:a9ace7670f345dde6c78d6b3314f3d756"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow instances of this class to be copy constructed.  <a href="#a9ace7670f345dde6c78d6b3314f3d756">More...</a><br /></td></tr>
<tr class="separator:a9ace7670f345dde6c78d6b3314f3d756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21310a3eef49fc4f04b98897fc785b34"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a21310a3eef49fc4f04b98897fc785b34">operator=</a> (const <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;)=default</td></tr>
<tr class="memdesc:a21310a3eef49fc4f04b98897fc785b34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow instances of this class to be copied.  <a href="#a21310a3eef49fc4f04b98897fc785b34">More...</a><br /></td></tr>
<tr class="separator:a21310a3eef49fc4f04b98897fc785b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab38f8d031a5cb0f5d807a180e7107fdd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ab38f8d031a5cb0f5d807a180e7107fdd">PyramidInfo</a> (<a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&amp;)=default</td></tr>
<tr class="memdesc:ab38f8d031a5cb0f5d807a180e7107fdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow instances of this class to be move constructed.  <a href="#ab38f8d031a5cb0f5d807a180e7107fdd">More...</a><br /></td></tr>
<tr class="separator:ab38f8d031a5cb0f5d807a180e7107fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f1ed0da3ccc973d44d1156aff150f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a09f1ed0da3ccc973d44d1156aff150f9">operator=</a> (<a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&amp;)=default</td></tr>
<tr class="memdesc:a09f1ed0da3ccc973d44d1156aff150f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow instances of this class to be moved.  <a href="#a09f1ed0da3ccc973d44d1156aff150f9">More...</a><br /></td></tr>
<tr class="separator:a09f1ed0da3ccc973d44d1156aff150f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6365834dc65fb5cc59cd17aea308db13"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a6365834dc65fb5cc59cd17aea308db13">PyramidInfo</a> (size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a>, float <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a>, size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a20646dd69e82674924c6e5eb1458eefa">width</a>, size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">height</a>, <a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a>)</td></tr>
<tr class="memdesc:a6365834dc65fb5cc59cd17aea308db13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create pyramid info for 2D tensors.  <a href="#a6365834dc65fb5cc59cd17aea308db13">More...</a><br /></td></tr>
<tr class="separator:a6365834dc65fb5cc59cd17aea308db13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae79dbf996c991c72eee4f1d9122152ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ae79dbf996c991c72eee4f1d9122152ef">PyramidInfo</a> (size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a>, float <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a>, const <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;<a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">tensor_shape</a>, <a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a>)</td></tr>
<tr class="memdesc:ae79dbf996c991c72eee4f1d9122152ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create pyramid info using <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml" title="Shape of a tensor. ">TensorShape</a>.  <a href="#ae79dbf996c991c72eee4f1d9122152ef">More...</a><br /></td></tr>
<tr class="separator:ae79dbf996c991c72eee4f1d9122152ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741486bedb7b0966b1d4e6e7c6cccf60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a741486bedb7b0966b1d4e6e7c6cccf60">init</a> (size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a>, float <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a>, size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a20646dd69e82674924c6e5eb1458eefa">width</a>, size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">height</a>, <a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a>)</td></tr>
<tr class="memdesc:a741486bedb7b0966b1d4e6e7c6cccf60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize pyramid's metadata for 2D tensors.  <a href="#a741486bedb7b0966b1d4e6e7c6cccf60">More...</a><br /></td></tr>
<tr class="separator:a741486bedb7b0966b1d4e6e7c6cccf60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51a4719902c69a814ccc638963b3074e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a51a4719902c69a814ccc638963b3074e">init</a> (size_t <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a>, float <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a>, const <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;<a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">tensor_shape</a>, <a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a>)</td></tr>
<tr class="memdesc:a51a4719902c69a814ccc638963b3074e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize pyramid's metadata using <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml" title="Shape of a tensor. ">TensorShape</a>.  <a href="#a51a4719902c69a814ccc638963b3074e">More...</a><br /></td></tr>
<tr class="separator:a51a4719902c69a814ccc638963b3074e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14af062b9f957e61e4efe171fe7065a3"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a> () const </td></tr>
<tr class="memdesc:a14af062b9f957e61e4efe171fe7065a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of the pyramid levels.  <a href="#a14af062b9f957e61e4efe171fe7065a3">More...</a><br /></td></tr>
<tr class="separator:a14af062b9f957e61e4efe171fe7065a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20646dd69e82674924c6e5eb1458eefa"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a20646dd69e82674924c6e5eb1458eefa">width</a> () const </td></tr>
<tr class="memdesc:a20646dd69e82674924c6e5eb1458eefa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the width of the 0th level tensor.  <a href="#a20646dd69e82674924c6e5eb1458eefa">More...</a><br /></td></tr>
<tr class="separator:a20646dd69e82674924c6e5eb1458eefa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0e3c6ba1d3f8a8e50aa3e3897210a2b"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">height</a> () const </td></tr>
<tr class="memdesc:ac0e3c6ba1d3f8a8e50aa3e3897210a2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the height of the 0th level tensor.  <a href="#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">More...</a><br /></td></tr>
<tr class="separator:ac0e3c6ba1d3f8a8e50aa3e3897210a2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3374fa8fcc6d226dc2b82317ab4d079"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">tensor_shape</a> () const </td></tr>
<tr class="memdesc:af3374fa8fcc6d226dc2b82317ab4d079"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml" title="Shape of a tensor. ">TensorShape</a> of the o-th level tensor.  <a href="#af3374fa8fcc6d226dc2b82317ab4d079">More...</a><br /></td></tr>
<tr class="separator:af3374fa8fcc6d226dc2b82317ab4d079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c875a3203d902e2ad6bc3045355e69e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a> () const </td></tr>
<tr class="memdesc:a0c875a3203d902e2ad6bc3045355e69e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the image format of all tensor in the pyramid.  <a href="#a0c875a3203d902e2ad6bc3045355e69e">More...</a><br /></td></tr>
<tr class="separator:a0c875a3203d902e2ad6bc3045355e69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0960069e9d05e0ee93ef010ce63913a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a> () const </td></tr>
<tr class="memdesc:ac0960069e9d05e0ee93ef010ce63913a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the scale factor of the pyramid.  <a href="#ac0960069e9d05e0ee93ef010ce63913a">More...</a><br /></td></tr>
<tr class="separator:ac0960069e9d05e0ee93ef010ce63913a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Store the <a class="el" href="classarm__compute_1_1_pyramid.xhtml" title="Basic implementation of the pyramid interface. ">Pyramid</a>'s metadata. </p>

<p>Definition at line <a class="el" href="_pyramid_info_8h_source.xhtml#l00035">35</a> of file <a class="el" href="_pyramid_info_8h_source.xhtml">PyramidInfo.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9e7e3f78b86c0a7f2cdd1ab1e836b2ed"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default constructor. </p>

</div>
</div>
<a class="anchor" id="a443529237e92a4364aaf662644dfc686"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ~<a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default destructor. </p>

</div>
</div>
<a class="anchor" id="a9ace7670f345dde6c78d6b3314f3d756"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow instances of this class to be copy constructed. </p>

</div>
</div>
<a class="anchor" id="ab38f8d031a5cb0f5d807a180e7107fdd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow instances of this class to be move constructed. </p>

</div>
</div>
<a class="anchor" id="a6365834dc65fb5cc59cd17aea308db13"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>num_levels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>scale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create pyramid info for 2D tensors. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">num_levels</td><td>The number of pyramid levels. This is required to be a non-zero value </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">scale</td><td>Used to indicate the scale between the pyramid levels. This is required to be a non-zero positive value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">width</td><td>The width of the 2D tensor at 0th pyramid level </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">height</td><td>The height of the 2D tensor at 0th pyramid level </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>The format of all 2D tensors in the pyramid NV12, NV21, IYUV, UYVY and YUYV formats are not supported. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae79dbf996c991c72eee4f1d9122152ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>num_levels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>scale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;&#160;</td>
          <td class="paramname"><em>tensor_shape</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create pyramid info using <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml" title="Shape of a tensor. ">TensorShape</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">num_levels</td><td>The number of pyramid levels. This is required to be a non-zero value </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">scale</td><td>Used to indicate the scale between the pyramid levels. This is required to be a non-zero positive value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">tensor_shape</td><td>It specifies the size for each dimension of the tensor 0th pyramid level in number of elements </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>The format of all tensors in the pyramid </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a0c875a3203d902e2ad6bc3045355e69e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> format </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the image format of all tensor in the pyramid. </p>
<dl class="section return"><dt>Returns</dt><dd>The image format </dd></dl>

</div>
</div>
<a class="anchor" id="ac0e3c6ba1d3f8a8e50aa3e3897210a2b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t height </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the height of the 0th level tensor. </p>
<dl class="section return"><dt>Returns</dt><dd>The height of the 0th level tensor </dd></dl>

</div>
</div>
<a class="anchor" id="a741486bedb7b0966b1d4e6e7c6cccf60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>num_levels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>scale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize pyramid's metadata for 2D tensors. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">num_levels</td><td>The number of pyramid levels. This is required to be a non-zero value </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">scale</td><td>Used to indicate the scale between the pyramid levels. This is required to be a non-zero positive value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">width</td><td>The width of the 2D tensor at 0th pyramid level </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">height</td><td>The height of the 2D tensor at 0th pyramid level </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>The format of all 2D tensors in the pyramid NV12, NV21, IYUV, UYVY and YUYV formats are not supported. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a51a4719902c69a814ccc638963b3074e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>num_levels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>scale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;&#160;</td>
          <td class="paramname"><em>tensor_shape</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize pyramid's metadata using <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml" title="Shape of a tensor. ">TensorShape</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">num_levels</td><td>The number of pyramid levels. This is required to be a non-zero value </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">scale</td><td>Used to indicate the scale between the pyramid levels. This is required to be a non-zero positive value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">tensor_shape</td><td>It specifies the size for each dimension of the tensor 0th pyramid level in number of elements </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>The format of all tensors in the pyramid </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a14af062b9f957e61e4efe171fe7065a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t num_levels </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the number of the pyramid levels. </p>
<dl class="section return"><dt>Returns</dt><dd>The number of the pyramid levels </dd></dl>

</div>
</div>
<a class="anchor" id="a21310a3eef49fc4f04b98897fc785b34"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a>&amp; operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow instances of this class to be copied. </p>

</div>
</div>
<a class="anchor" id="a09f1ed0da3ccc973d44d1156aff150f9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a>&amp; operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow instances of this class to be moved. </p>

</div>
</div>
<a class="anchor" id="ac0960069e9d05e0ee93ef010ce63913a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float scale </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the scale factor of the pyramid. </p>
<dl class="section return"><dt>Returns</dt><dd>Return the scale factor </dd></dl>

</div>
</div>
<a class="anchor" id="af3374fa8fcc6d226dc2b82317ab4d079"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a>&amp; tensor_shape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml" title="Shape of a tensor. ">TensorShape</a> of the o-th level tensor. </p>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a class="anchor" id="a20646dd69e82674924c6e5eb1458eefa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t width </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the width of the 0th level tensor. </p>
<dl class="section return"><dt>Returns</dt><dd>The width of the 0th level tensor </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_pyramid_info_8h_source.xhtml">PyramidInfo.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
